/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.trifork.stamdata.authorization.models;

import static com.trifork.stamdata.Preconditions.checkNotNull;

import java.math.BigInteger;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;


@Entity
@Table(name = "autreg2")
public class Authorization {

	protected Authorization() {

	}

	public Authorization(String cpr, String givenName, String surname, String authorizationCode, String educationCode) {

		this.cpr = checkNotNull(cpr);
		this.firstName = checkNotNull(givenName);
		this.lastName = checkNotNull(surname);
		this.authorizationCode = checkNotNull(authorizationCode);
		this.educationCode = checkNotNull(educationCode);
	}

	@Id
	@GeneratedValue
	public BigInteger id;

	@Column(nullable = false, length = 10)
	public String cpr;

	@Column(name = "given_name", nullable = false, length = 50)
	public String firstName;

	@Column(name = "surname", nullable = false, length = 100)
	public String lastName;

	@Column(name = "aut_id", nullable = false, length = 5)
	public String authorizationCode;

	@Column(name = "edu_id", nullable = false, length = 4)
	public String educationCode;
}
